package app;
import currency.*;

// MoneyMakerApp (the client) creates concrete XXXMaker instances ("Products")
public class MoneyMakerApp {

	public static void main(String[] args) {
		MoneyMakerApp app = new MoneyMakerApp();

		app.mintMoney("DOLLAR_COIN");  // let's do something illegal...
//		app.mintMoney("DOLLAR_BILL"); 
	}

	public void mintMoney(String type) {
		CurrencyMaker cm = null;  // abstract class
		switch( type ) {
		case "DOLLAR_COIN":
			cm = new DollarCoinMaker(); // create a concrete CurrencyMaker
			break;

		case "DOLLAR_BILL":
			cm = new DollarBillMaker(); // create a concrete CurrencyMaker
			break;
			
		default:
			System.out.println("Can't create that denomination.");
			break;
		}
		
		// direct the concrete CurrencyMakers
		cm.getSupplies();
		cm.makeCurrency();
		cm.ship();
	}

}
