package factory;
import currency.*;

//Factory interface for creating different types of CurrencyMakers
public interface MoneyMint {
	// The factory method implemented in concrete factories
	public abstract CurrencyMaker createCurrencyMaker(String type);


/* An alternate way of dynamically loading the appropriate concrete Factory
		try {
		// dynamically load the class at runtime
			Class<?> t = Class.forName("factory.USMoneyMint");
			MoneyMint m = (MoneyMint)t.newInstance();
			return m;
		}
		catch( Exception e ) { // can't find that .class file!
			return null;
		}
*/		
}